Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# channel_traits Struct Template Reference
[Models]

`#include <channel.hpp>`

Inherited by channel_traits< const T & >, and channel_traits< T & >.

## Detailed Description

### template<typename T>
struct boost::gil::channel_traits< T >

Traits for channels. Contains the following members:.

    template <typename Channel>
    struct channel_traits {
        typedef ... value_type;
        typedef ... reference;
        typedef ... pointer;
        typedef ... const_reference;
        typedef ... const_pointer;

        static const bool is_mutable;
        static value_type min_value();
        static value_type max_value();
    };

The documentation for this struct was generated from the following file:

- channel.hpp